=== debian/changelog ===
fcitx-keyboard (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #658146)

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 06 Feb 2012 12:19:43 +0800
