=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ 
override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_TEST=On
