## fcitx-keyboard 0.1.1

=== debian/changelog ===
fcitx-keyboard (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sun, 18 Mar 2012 23:22:56 +0800
