=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,5 @@
 override_dh_makeshlibs:
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_TEST=On
+	dh_auto_configure -- \
+		-DENABLE_TEST=ON
